Groovy 1.7.10

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class PurgeCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.PurgeCommand

    class PurgeCommand
    extends ComplexCommandSupport

The 'purge' command.

Authors:
  Jason Dillon

Version:
  \$Id: PurgeCommand.groovy 8449 2007-10-07 10:18:00Z user57 \$

Field Summary

Fields inherited from class ComplexCommandSupport
defaultFunction, functions

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`def` | `do_classes`
`def` | `do_imports`
`def` | `do_preferences`
`def` | `do_variables`

Constructor Summary
`PurgeCommand(Shell shell)`

Method Summary

Methods inherited from class ComplexCommandSupport
createCompletors, execute, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### do_classes

    def do_classes

### do_imports

    def do_imports

### do_preferences

    def do_preferences

### do_variables

    def do_variables

Constructor Detail

### PurgeCommand

    PurgeCommand(Shell shell)

Copyright © 2003-2010 The Codehaus. All rights reserved.